#include <relation.h>
#include <tabutil.h>
#include <printapp.h>
#include <mask.h>
#include <utility.h>
#include <config.h>
#include <urldefid.h>

class TAp_iva : public TApplication
{
  TTable* _reg, * _lia, * _lbu;
  TLocalisamfile* _nditte;
  int     _annoiva;
  TString _annop;
  long    _ditta;
  char    _frequenza;

protected:
  static bool mask_annoiva(TMask_field&, KEY);

public:
  virtual bool create();
  virtual bool destroy();
  virtual bool menu(MENU_TAG m);

  bool  setta();
  bool  apertura_iva();
  
  TAp_iva() {}
};